Bug 16312 - init failure
init failure
Status: CLOSED WORKSFORME
Product: Red Hat Linux
Classification: Retired
Component: SysVinit (Show other bugs)
6.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-08-16 01:22 EDT by John Bass
Modified: 2014-03-16 22:15 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-16 23:44:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Bass 2000-08-16 01:22:42 EDT
Init went cpu bound, but fails to syswait to clear zombies or
respond to telinit state changes. GDB will not attach to process 1
so it's impossible to figure out what it's looping on.

[root@dmsd init.d]# date
Tue Aug 15 23:00:01 MDT 2000
[root@dmsd init.d]# uptime
 11:00pm  up 129 days,  5:59,  3 users,  load average: 1.02, 1.06, 1.02
[root@dmsd init.d]# ps eaxfl
  F   UID   PID  PPID PRI  NI   VSZ  RSS WCHAN  STAT TTY        TIME
COMMAND
100     0     1     0  15   0  9288 7520 -      R    ?        1514:50 init
[3] HOME=/ TERM=linux BOOT_IMAGE=linux
040     0     2     1   0   0     0    0 lookup SW   ?          0:36
[kflushd]
040     0     3     1   0   0     0    0 add_vf SW   ?          4:08
[kupdate]
040     0     4     1   0   0     0    0 kpiod  SW   ?          0:00
[kpiod]
040     0     5     1   0   0     0    0 rw_swa SW   ?          7:57
[kswapd]
040     0     6     1 -20 -20     0    0 restar SW<  ?          0:00
[mdrecoveryd]
140     1   305     1   0   0  1208  224 do_sel S    ?          0:00
portmap INIT_VERSION=sysvinit-2.77 previous=N TERM=linux HOSTTYPE=i386
PATH=/sbin:/usr
040     2   359     1   0   0  1128  104 nanosl S    ?          0:01
/usr/sbin/atd INIT_VERSION=sysvinit-2.77 previous=N TERM=linux
HOSTTYPE=i386 PATH=/sbi
140     0   391     1   0   0  1124   64 do_sel S    ?          0:00 inetd
INIT_VERSION=sysvinit-2.77 previous=N TERM=linux HOSTTYPE=i386
PATH=/sbin:/usr/s
100     0  5684   391   0   0  2360 1108 do_sel S    ?          0:00  \_
in.rlogind INIT_VERSION=sysvinit-2.77 previous=N TERM=linux HOSTTYPE=i386
PATH=/sb
100     0  5685  5684   0   0  2288 1116 tvtoji S    pts/2      0:00  |  
\_ login -- jbass                                     
100  8655  5686  5685   0   0  1780 1016 opost_ S    pts/2      0:00 
|       \_ -bash TERM=iris-ansi-net HOME=/home/jbass
PATH=/usr/local/bin:/bin:/usr/bi
100     0  5778   391   0   0  2360 1108 do_sel S    ?          0:00  \_
in.rlogind INIT_VERSION=sysvinit-2.77 previous=N TERM=linux HOSTTYPE=i386
PATH=/sb
100     0  5779  5778   0   0  2288 1116 tvtoji S    pts/4      0:00  |  
\_ login -- jbass                                     
100  8655  5780  5779   0   0  1780 1016 tvtoji S    pts/4      0:00 
|       \_ -bash TERM=iris-ansi-net HOME=/home/jbass
PATH=/usr/local/bin:/bin:/usr/bi
000  8655  5825  5780   0   0 23856 16064 do_sel S   pts/4      2:47 
|           \_ /usr/lib/netscape/netscape-communicator
-irix-session-management USERN
044  8655  5837  5825   0   0     0    0 wait4  Z    pts/4      0:00 
|           |   \_ [netscape <defunct>]
000  8655  5838  5825   0   0 16660 3652 do_sel S    pts/4      0:00 
|           |   \_ (dns helper) USERNAME=jbass ENV=/home/jbass/.bashrc
HISTSIZE=1000 
100     0  5855  5780   0   0  1988 1012 tvtoji S    pts/4      0:00 
|           \_ su - USERNAME=jbass ENV=/home/jbass/.bashrc HISTSIZE=1000
HOSTNAME=dms
100     0  5856  5855   5   0  1756  996 tvtoji S    pts/4      0:00 
|               \_ -bash TERM=xterm HOME=/root SHELL=/bin/bash USER=root
LOGNAME=root
100     0  5998  5856  10   0  2540  880 -      R    pts/4      0:00 
|                   \_ ps eaxfl USERNAME=root ENV=/root/.bashrc
HISTSIZE=1000 HOSTNAM
100     0  5966   391   0   0  2360 1108 do_sel S    ?          0:00  \_
in.rlogind INIT_VERSION=sysvinit-2.77 previous=N TERM=linux HOSTTYPE=i386
PATH=/sb
100     0  5967  5966   0   0  2288 1116 tvtoji S    pts/0      0:00     
\_ login -- jbass                                     
100  8655  5968  5967   0   0  1788 1024 tvtoji S    pts/0     
0:00          \_ -bash TERM=iris-ansi-net HOME=/home/jbass
PATH=/usr/local/bin:/bin:/usr/bi
000  8655  5994  5968   0   0  5400 4704 do_sel S    pts/0     
0:00              \_ vi mbox.0001 USERNAME=jbass ENV=/home/jbass/.bashrc
HISTSIZE=1000 HOST
140     0   407     1   0   0  2480    0 do_sel SW   ?          0:00
[snmpd]
140     0   476     1   0   0  1176    0 do_sel SW   ?          0:00 [lpd]
100     0   685     1   0   0  1076    0 opost_ SW   tty1       0:00
[mingetty]
100     0   686     1   0   0  1076    0 opost_ SW   tty2       0:00
[mingetty]
100     0   687     1   0   0  1076    0 opost_ SW   tty3       0:00
[mingetty]
100     0   688     1   0   0  1076    0 opost_ SW   tty4       0:00
[mingetty]
100     0   689     1   0   0  1076    0 opost_ SW   tty5       0:00
[mingetty]
100     0   690     1   0   0  1076    0 opost_ SW   tty6       0:00
[mingetty]
000     0   691     1   0   0  1132    0 do_sel SW   ?          0:00
[pptpd]
040     0 19262     1   0   0  1092    0 do_sel SW   ?          0:00
[rpc.rquotad]
040     0 19273     1   0   0  1440  288 do_sel S    ?          0:00
rpc.mountd --no-nfs-version 3 USERNAME=root ENV=/root/.bashrc HISTSIZE=1000
HOSTNAME=d
040     0 19284     1   0   0     0    0 end    SW   ?          5:30 [nfsd]
040     0 19285     1   0   0     0    0 end    SW   ?          0:00 [nfsd]
040     0 19286     1   0   0     0    0 end    SW   ?          0:00 [nfsd]
040     0 19287     1   0   0     0    0 end    SW   ?          0:00 [nfsd]
040     0 19288     1   0   0     0    0 end    SW   ?          0:00 [nfsd]
040     0 19289     1   0   0     0    0 end    SW   ?          0:00 [nfsd]
040     0 19290     1   0   0     0    0 end    SW   ?          0:00 [nfsd]
040     0 19291     1   0   0     0    0 end    SW   ?          0:00 [nfsd]
140     0 24672     1   0   0  1344 1344 do_sel SL   ?         11:36 xntpd
-A USERNAME=root ENV=/root/.bashrc HISTSIZE=1000 HOSTNAME=dmsd.com
LOGNAME=root 
140    99   590     1   0   0  2772    0 posix_ SW   ?          0:00
[httpd]
140    99   591     1   0   0  2772  684 posix_ S    ?          0:00 httpd
INIT_VERSION=sysvinit-2.77 previous=N TERM=linux HOSTTYPE=i386
PATH=/sbin:/usr/s
140    99   592     1   0   0  2772    0 posix_ SW   ?          0:00
[httpd]
140    99   593     1   0   0  2772    0 posix_ SW   ?          0:00
[httpd]
140    99  594     1   0   0  2772    0 posix_ SW   ?          0:00
[httpd]
140    99   595     1   0   0  2772  692 posix_ S    ?          0:00 httpd
INIT_VERSION=sysvinit-2.77 previous=N TERM=linux HOSTTYPE=i386
PATH=/sbin:/usr/s
140    99   596     1   0   0  2772    0 posix_ SW   ?          0:00
[httpd]
140    99   597     1   0   0  2772   40 tcp_po S    ?          0:00 httpd
INIT_VERSION=sysvinit-2.77 previous=N TERM=linux HOSTTYPE=i386
PATH=/sbin:/usr/s
140    99   598     1   0   0  2772    0 posix_ SW   ?          0:00
[httpd]
140    99   599     1   0   0  2772    0 posix_ SW   ?          0:00
[httpd]
144     0  7927     1   0   0     0    0 wait4  Z    ?          1:59 [named
<defunct>]
544     0  9571     1   0   0     0    0 wait4  Z    ?          0:56
[sendmail <defunct>]
504     0  3883     1   0   0     0    0 wait4  Z    ?          0:00 [login
<defunct>]
504  8655  3884     1   0   0     0    0 wait4  Z    ?          0:00 [bash
<defunct>]
504     0  3915     1   0   0     0    0 wait4  Z    ?          0:00 [login
<defunct>]
104  8655  3916     1   0   0     0    0 wait4  Z    ?          0:00 [bash
<defunct>]
504     0  3965     1   0   0     0    0 wait4  Z    ?          0:00 [login
<defunct>]
504  8655  3966     1   0   0     0    0 wait4  Z    ?          0:01 [bash
<defunct>]
000  8655  4064     1   5   5  2736  304 do_sel SN   ?          0:01 xbiff
-name gate -file /var/spool/mail/jbass USERNAME=jbass
ENV=/home/jbass/.bashrc HI
044  8655  4612     1   0   0     0    0 wait4  Z    ?          0:00
[netscape <defunct>]
004    62  4613     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
004    62  4680     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
004    62  4686     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
044  8655  4727     1   0   0     0    0 wait4  Z    ?          0:00
[netscape <defunct>]
004    62  4728     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
044  8655  4774     1   0   0     0    0 wait4  Z    ?          0:00
[netscape <defunct>]
004    62  4775     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
044  8655  4826     1   0   0     0    0 wait4  Z    ?          0:00
[netscape <defunct>]
004    62  4827     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
044  8655  4886     1   0   0     0    0 wait4  Z    ?          0:00
[netscape <defunct>]
004    62  4887     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
044  8655  4917     1   0   0     0    0 wait4  Z    ?          0:00
[netscape <defunct>]
004    62  4918     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
044  8655  4967     1   0   0     0    0 wait4  Z    ?          0:00
[netscape <defunct>]
004    62  4968     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
044  8655  5028     1   0   0     0    0 wait4  Z    ?          0:00
[netscape <defunct>]
004    62  5029     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
044  8655  5073     1   0   0     0    0 wait4  Z    ?          0:00
[netscape <defunct>]
004    62  5074     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
044  8655  5112     1   0   0     0    0 wait4  Z    ?          0:00
[netscape <defunct>]
004    62  5113     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
044  8655  5143     1   0   0     0    0 wait4  Z    ?          0:00
[netscape <defunct>]
004    62  5144     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
044  8655  5178     1   0   0     0    0 wait4  Z    ?          0:00
[netscape <defunct>]
004    62  5179     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
044  8655  5217     1   0   0     0    0 wait4  Z    ?          0:00
[netscape <defunct>]
004    62  5218     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
044  8655  5235     1   0   0     0    0 wait4  Z    ?          0:00
[netscape <defunct>]
004    62  5236     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
044  8655  5286     1   0   0     0    0 wait4  Z    ?          0:00
[netscape <defunct>]
004    62  5287     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
044  8655  5322     1   0   0     0    0 wait4  Z    ?          0:00
[netscape <defunct>]
004    62  5323     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
044  8655  5371     1   0   0     0    0 wait4  Z    ?          0:00
[netscape <defunct>]
004    62  5372     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
044  8655  5402     1   0   0     0    0 wait4  Z    ?          0:00
[netscape <defunct>]
004    62  5403     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
044  8655  5444     1   0   0     0    0 wait4  Z    ?          0:00
[netscape <defunct>]
004    62  5445     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
044  8655  5499     1   0   0     0    0 wait4  Z    ?          0:00
[netscape <defunct>]
004    62  5500     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
044  8655  5566     1   0   0     0    0 wait4  Z    ?          0:00
[netscape <defunct>]
004    62  5567     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
044  8655  5604     1   0   0     0    0 wait4  Z    ?          0:00
[netscape <defunct>]
004    62  5605     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
004    62  5658     1   0   0     0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
004    62  5664     1   0   0 0    0 wait4  Z    ?          0:00
[netscape-commun <defunct>]
140     0  5729     1   0   0  2292 1508 do_sel S    ?          0:00
/usr/sbin/named USERNAME=root ENV=/root/.bashrc HISTSIZE=1000
HOSTNAME=dmsd.com LOGNAM
000  8655  5776     1   5   5  2980 1576 do_sel SN   pts/2      0:00 xbiff
-name gate -file /var/spool/mail/jbass USERNAME=jbass
ENV=/home/jbass/.bashrc HI
044  8655  5820     1   0   0     0    0 wait4  Z    pts/4      0:00
[netscape <defunct>]
004    62  5821     1   0   0     0    0 wait4  Z    pts/4      0:00
[netscape-commun <defunct>]
144     0  5930     1   0   0     0    0 wait4  Z    pts/4      0:00
[shutdown <defunct>]
144     0  5946     1   0   0     0    0 wait4  Z    pts/4      0:00
[shutdown <defunct>]
[root@dmsd init.d]# 


[root@dmsd 1]# cat stat
1 (init) R 0 0 0 0 -1 256 2223 123071889 2007 51186212 375389 8748110
28446055 6458510 20 0 0 0 70 9510912 1880 2147483647 134512640 134535270
3221225232 3212836876 0 65537 65547 1475401916 671818243 0 221 348230 0 1
[root@dmsd 1]# cat statm
2064 1881 0 1 0 1880 1881
[root@dmsd 1]# cat status
Name:   init
State:  R (running)
Pid:    1
PPid:   0
Uid:    0       0       0       0
Gid:    0       0       0       0
Groups:
VmSize:     9288 kB
VmLck:         0 kB
VmRSS:      7520 kB
VmData:       36 kB
VmStk:      8192 kB
VmExe:        24 kB
VmLib:      1012 kB
SigPnd: 0000000000010401
SigBlk: bfffff140001000b
SigIgn: 7fffffffd7f0d8bc
SigCgt: 00000000280b2203
CapInh: 00000000fffffeff
CapPrm: 00000000ffffffff
CapEff: 00000000fffffeff
[root@dmsd 1]#


[root@dmsd 1]# gdb /sbin/init 1
GNU gdb 4.18
Copyright 1998 Free Software Foundation, Inc.
GDB is free software, covered by the GNU General Public License, and you
are
welcome to change it and/or distribute copies of it under certain
conditions.
Type "show copying" to see the conditions.
There is absolutely no warranty for GDB.  Type "show warranty" for details.
This GDB was configured as "i386-redhat-linux"...(no debugging symbols
found)...

/proc/1/1: No such file or directory.
Attaching to program: /sbin/init, Pid 1

ptrace: Operation not permitted.
(gdb)
Comment 1 Bill Nottingham 2000-08-16 01:30:06 EDT
How odd. Do you have conditions that can reproduce this
reliably?  Are there any oopses in the kernel log?
Comment 2 Bill Nottingham 2000-08-30 16:34:31 EDT
closing as WORKSFORME (we've never seen this); again, please
re-open if it persists.

Note You need to log in before you can comment on or make changes to this bug.